import {PopupExportComponent} from "$popup/popup-export/const";

export default <LibMixins>{

    methods:{
        openLogin:function (){
            return this.$popup.open(PopupExportComponent.login);
        },
        openUserInfo:function (){
            return this.$popup.open(PopupExportComponent.personal);
        },
        openRecharge(){
            return this.$popup.open(PopupExportComponent.recharge);
        },
        outLogin:function () {
            return this.$confirm({
                title:'您确定要退出登录吗',
                confirm:()=>{
                    return this.$store.dispatch('outLogin');
                }
            });
        }
    }

}
